Creates a profile for an individual within the organization, defining capacity, roles, and billable status for resourcing and forecasting.
The capacity of this Person if they are using a custom capacity instead of their Role's capacity.Note: This value can be cleared out by sending null in the request body.
Id of the Role to be used as the primary (default) Role for this person. If null, the unassigned role will be applied instead.
The billable utilization target of this Person if they are using a custom target utilization instead of their Role's target utilization. Note: This value can be cleared out by sending null in the request body.
Denotes whether this Person's time worked is billable. Defaults to true for new records.
The earliest date this Person is available for resourcing on a Project. The Person's capacity prior to this date is 0%.
If this Person will have or has had their employment or contract terminated, this is the last date they are available for resourcing on a project. They will automatically be archived after this date has passed, and their capacity will drop to 0%. This value can be cleared out by sending null in the request body.
Denotes whether this Person is a full time employee, contractor, etc. Defaults to full_time for new records.
- Mock serverhttps://developer.getparallax.com/_mock/api-documentation/swagger/v1/people
- Production Serverhttps://api.getparallax.com/v1/people
- application/json-patch+json
- application/json
curl -i -X POST \
https://developer.getparallax.com/_mock/api-documentation/swagger/v1/people \
-H 'Content-Type: application/json-patch+json' \
-H 'X-API-KEY: YOUR_API_KEY_HERE' \
-d '{
"given_name": "string",
"family_name": "string",
"email_address": "string",
"capacity": 0.1,
"role_id": "ac4e70c8-d5be-48af-93eb-760f58fc91a9",
"billable_utilization_target": 0.1,
"billable": true,
"start_date": "2019-08-24",
"end_date": "2019-08-24",
"worker_type": "full_time",
"tags": [
"string"
],
"image_url": "string"
}'Created
The capacity of this Person if they are using a custom capacity instead of their Role's capacity.Note: This value can be cleared out by sending null in the request body.
The billable utilization target of this Person if they are using a custom target utilization instead of their Role's target utilization. Note: This value can be cleared out by sending null in the request body.
The earliest date this Person is available for resourcing on a Project. The Person's capacity prior to this date is 0%.
If this Person will have or has had their employment or contract terminated, this is the last date they are available for resourcing on a project. They will automatically be archived after this date has passed, and their capacity will drop to 0%. This value can be cleared out by sending null in the request body.
Specifies the worker classification for the Person, such as Employee or Contractor.
The date and time when the Person record was last modified in Parallax.
Indicates whether the Person is archived and no longer active for project assignment or planning.
The current effective cost rate for the person. This will return the current overridden cost rate of the person, and will fall back to the current cost rate of their assigned role if there is no override.
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "given_name": "string", "family_name": "string", "email_address": "string", "capacity": 0.1, "role_id": "ac4e70c8-d5be-48af-93eb-760f58fc91a9", "billable_utilization_target": 0.1, "billable": true, "start_date": "2019-08-24", "end_date": "2019-08-24", "worker_type": "full_time", "tags": [ "string" ], "created_date": "2019-08-24T14:15:22Z", "modified_date": "2019-08-24T14:15:22Z", "image_url": "string", "archived": true, "current_cost_rate": { "currency_code": "string", "amount": 0 }, "external_ids": [ "string" ] }